import React from "react";
import {observer} from "mobx-react";
import "./FailPanel.less";
import {Button} from "@grace/ui";
import {_asyncThrottle} from "@/utils/utils.ts";
import { ModalCtrl } from "@/core/ctrls/ModalCtrl.tsx";

@observer
class FailPanel extends React.Component {

  componentDidMount() {
  }

  clickClose = () => {
    ModalCtrl.closeModal();
  };

  clickBtn = _asyncThrottle(async () => {

  });

  render() {
    return <div className="FailPanel">
      <div className="bg"/>
      <div className="rank">当前排名:NO.78</div>
      <div className="score">167<span>分</span></div>
      <div className="tip">
        单局游戏分数达200<br/>
        即可获得<span>1次抽奖机会</span>
      </div>
      <Button className="btn" onClick={this.clickBtn}/>
      <Button className="close" onClick={this.clickClose}/>
    </div>;
  }
}

export default FailPanel;
